%define momorel 3
Name: ximswitch
Version: 1.2.5
Release: %{momorel}m
License: GPL
Group: User Interface/X
Source: ximswitch-%{version}.tar.gz
Summary: XIM switcher
Requires: gtk+, xinitrc
BuildPreReq: gtk+-devel
Buildroot: %{_tmppath}/%{name}-%{version}-root
# NoSource: 0
# Distribution: Kondara

%description
Ximswitch is a tool for switching X input method dynamically.

%changelog
* Sat Jul 24 2004 Shotaro Kamio <skamio@momonga-linux.org>
- (1.2.5-3m)
- modified ximswitch.desktop file: launch-able from menu

* Sat Mar  8 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.2.5-2m)
- rebuild against for XFree86-4.3.0

* Sat Mar 08 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (1.2.5-1m)
- now support gtk+-2.x
- replace logo image for momonga

* Sat Jan 12 2002 OZAWA -Crouton- Sakuro <crouton@kondara.org>
- (1.2.4-6k)
- s/Copyright/License/

* Tue Dec 04 2001 Motonobu Ichimura <famao@kondara.org>
- (1.2.4-4k)
- add Gnome Desktop File

* Thu Nov 22 2001 Motonobu Ichimura <famao@kondara.org>
- (1.2.4)
- add language support

* Thu Jun 14 2001 Akira Higuchi <a@kondara.org>
- (1.2.3)
- don't do static link

* Thu May 24 2001 Akira Higuchi <a@kondara.org>
- (1.2.2)
- add XFlush()

* Thu May 17 2001 Motonobu Ichimura <famao@kondara.org>
- (1.2.1)
- add ifexists check

* Thu Jul 20 2000 Akira Higuchi <a@kondara.org>
- initial release.

%prep
%setup -q

%build
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/libexec/ximswitch
mkdir -p %{buildroot}/usr/bin
install -m 755 listxim %{buildroot}/usr/libexec/ximswitch/
install -m 755 ximswitch %{buildroot}/usr/bin/

install -d %{buildroot}%{_datadir}/gnome/apps/Utilities
cat <<EOF>%{buildroot}%{_datadir}/gnome/apps/Utilities/ximswitch.desktop
[Desktop Entry]
Name=XIMSwitch
Comment=Tools for switching XInput Method Dynamically
Comment[ja]=ץåȥ᥽åɤưŪѹġ
Exec=ximswitch --gui
Terminal=0
Icon=kondara/kondara-small.png
Type=Application
EOF
%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING AUTHORS patches examples README README.EUC-JP
/usr/libexec/ximswitch
/usr/bin/ximswitch
%{_datadir}/gnome/apps/Utilities/*

